#!/usr/bin/make -f

ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')

%:
	dh $@ --no-parallel

override_dh_auto_build:
	dh_auto_build
	pod2text Changes > changelog

override_dh_auto_clean:
	rm -f changelog
	dh_auto_clean -- realclean

override_dh_auto_install:
	dh_auto_install
	echo "# See razor-agent.conf (5)" > $(CURDIR)/debian/razor/etc/razor/razor-agent.conf
	echo "# Change this to 5 for safer classification of MIME attachments.  This will let more spam through"  >> $(CURDIR)/debian/razor/etc/razor/razor-agent.conf
	echo "logic_method = 4" >> $(CURDIR)/debian/razor/etc/razor/razor-agent.conf
	echo "# Change the next line to a file to stop using syslog"  >> $(CURDIR)/debian/razor/etc/razor/razor-agent.conf
	echo "logfile = /var/log/razor-agent.log" >> $(CURDIR)/debian/razor/etc/razor/razor-agent.conf
	cp $(CURDIR)/debian/razor-client.1p $(CURDIR)/debian/razor/usr/share/man/man1
	mv $(CURDIR)/debian/razor/$(ARCHLIB)/Razor2/* $(CURDIR)/debian/razor/usr/share/perl5/Razor2/
	rmdir $(CURDIR)/debian/razor/$(ARCHLIB)/Razor2
